%define nuserui userui-0.3.1

Name: hibernate
Version: 1.09
Release: alt1

Summary: Software suspend 2 hibernate script
License: GPL
Group: System/Kernel and hardware
URL: http://suspend2.net/
Packager: Alex Yustasov <yust@altlinux.ru>

Obsoletes: suspend

Source0: hibernate-script-%version.tar.gz
Source1: %nuserui.tar.gz
Source2: %name.logrotate

Patch0: %name-alt-kernel-fix.patch
Patch1: %name-alt-blacklist.patch
Patch2: %name-xhacks.patch

Patch4: userui-0.3.1-alt-Makefile-fixes.patch

BuildPreReq: freetype2-devel-static glibc-devel-static 
BuildPreReq: libjpeg-devel-static libpng-devel-static zlib-devel-static

%description
hibernate is a shell script that handles the process of getting ready
to suspend to disk and to resume from disk. It requires the Software
Suspend 2 patches available at http://suspend2.net/.
After installing you will want to run 'hibernate -h' to see available
options and modify your /etc/hibernate/hibernate.conf to set them.
This package includes %nuserui in the installation.

%prep
%setup -a 1 -q -n hibernate-script-%version
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch4 -p0

%build
pushd %nuserui
%__ln_s ../fbsplash/linux fbanim/linux
%make
popd

%install
export 	BASE_DIR=%buildroot \
	PREFIX=%_prefix \
	MAN_DIR=%buildroot%_mandir \
	SCRIPTLET_DIR=%buildroot%_sysconfdir/hibernate/scriptlets.d/

sh install.sh

unset BASE_DIR PREFIX MAN_DIR SCRIPTLET_DIR

pushd %buildroot/etc/hibernate
%__cp %name.conf hibernate2.4.conf
%__cp %name.conf hibernate2.6.conf
%__rm -f %name.conf
popd

%__mkdir_p %buildroot%_sysconfdir/logrotate.d/
%__install -m640 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/%name
%__install -m755 %nuserui/suspend2ui_{fbsplash,text} %buildroot/%_sbindir

%__mkdir_p doc/%nuserui
%__cp -a README CHANGELOG TODO SCRIPTLET-API hibernate.vim init.d/ admin/ \
	doc/
%__cp -a %nuserui/{KERNEL_API,USERUI_API,ChangeLog,README,TODO} \
	doc/%nuserui/

%files
%_sbindir/*
%config(noreplace) %_sysconfdir/hibernate
%config(noreplace) %_sysconfdir/logrotate.d/%name
%doc doc/*
%_mandir/man?/*

%changelog
* Tue Jun 28 2005 Alex Yustasov <yust@altlinux.ru> 1.09-alt1
- hibernate 1.09

* Fri May 20 2005 Alex Yustasov <yust@altlinux.ru> 1.08-alt4
- removed suspend2ui_bootsplash

* Thu May 19 2005 Alex Yustasov <yust@altlinux.ru> 1.08-alt3
- added suspend2ui_bootsplash
- fixed scriptslet.d for suspend2ui_bootsplash

* Fri May 13 2005 Alex Yustasov <yust@altlinux.ru> 1.08-alt2
- hibernate 1.08
- removed hibernate-alt-swsusp2_15.patch

* Mon May 09 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.07-alt0.1
- hibernate 1.07
- userui 0.3.1
- spec cleanup

* Wed Mar 16 2005 Alex Yustasov <yust@altlinux.ru> 1.05-alt2
- added userui-0.3.0
- changed BuildArch, URL, description

* Wed Feb 09 2005 Alex Yustasov <yust@altlinux.ru> 1.05-alt1
- 1.05 version
- added button to the blacklist for 2.4 kernel
- fixed chvt 63 in scriptlets.d/swsusp2_15
- added notifempty in logrotate.d/hibernate

* Sun Jan 16 2005 Alex Yustasov <yust@altlinux.ru> 1.03-alt1
- 1.03 version
- added /etc/logrotate.d/hibernate
- added via-rhine, mii to the blacklist
- added WiggleConsole option in scriptlets.d/xhacks

* Sun Nov 28 2004 Alex Yustasov <yust@altlinux.ru> 1.02-alt1
- 1.02 version

* Tue Nov 23 2004 Alex Yustasov <yust@altlinux.ru> 1.01-alt1
- 1.01 version
- added lt_serial to the blacklist

* Tue Nov 09 2004 Alex Yustasov <yust@altlinux.ru> 1.00-alt2
- added cifs, button to the blacklist
- moved scriptlets.d/ to /etc/hibetnate

* Mon Nov 08 2004 Alex Yustasov <yust@altlinux.ru> 1.00-alt1
- 1.00 version
- added config files for 2.4/2.6 kernels

* Fri Oct 22 2004 Alex Yustasov <yust@altlinux.ru> 0.99-alt2
- changed name

* Fri Oct 15 2004 Alex Yustasov <yust@altlinux.ru> 0.99-alt1
- 0.99 version 

* Tue Aug 24 2004 Alex Yustasov <yust@altlinux.ru> 0.98-alt1
- 0.98 version

* Sat Feb 07 2004 Alex Yustasov <yust@altlinux.ru> 0.18-alt1
- 0.18 version

* Wed Oct 22 2003 Alex Yustasov <yust@altlinux.ru> 0.16-alt3
- fixed packager in changelog for alt2
- added SWSUSP_MOUNT_USING_AUTOFS="no"
- added pausing if SWSUSP_MOUNT_USING_AUTOFS="yes"

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 0.16-alt2
- fixed bug with BUILDROOT

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 0.16-alt1
- initial release. 0.16
- added buildroot parameter for suspend.sh
- removed checking for root
- removed installation for usleep
- added values for DISTRIB=ALTLinux
- if SWSUSP_LEAVE_X_BEFORE_SUSPEND="nvidia" - called xinit /bin/false
- if SWSUSP_INSERTMODS="modules" - reload modules from /etc/modules
- sync in SUSPEND()
- RemountDevices() before UnloadModules()
- removed changing for STOP_SERVICES_BEFORE_SUSPEND, 
  START_SERVICES_AFTER_RESUME, RESTART_SERVICES in suspend.sh
- added checking for exists services STOP_SERVICES_BEFORE_SUSPEND,
  START_SERVICES_AFTER_RESUME
